"""Alert components."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class Alert(ChakraComponent):
    """Container to stack elements with spacing."""

    tag = "Alert"

    # The status of the alert ("success" | "info" | "warning" | "error")
    status: Property[str]

    # "subtle" | "left-accent" | "top-accent" | "solid"
    variant: Property[str]


class AlertIcon(ChakraComponent):
    """AlertIcon composes Icon and changes the icon based on the status prop."""

    tag = "AlertIcon"


class AlertTitle(ChakraComponent):
    """AlertTitle composes the Box component."""

    tag = "AlertTitle"


class AlertDescription(ChakraComponent):
    """AlertDescription composes the Box component."""

    tag = "AlertDescription"
