"""Container to stack elements with spacing."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class CircularProgress(ChakraComponent):
    """The CircularProgress component is used to indicate the progress for determinate and indeterminate processes."""

    tag = "CircularProgress"

    # If true, the cap of the progress indicator will be rounded.
    cap_is_round: Property[bool]

    # If true, the progress will be indeterminate and the value prop will be ignored
    is_indeterminate: Property[bool]

    # Maximum value defining 100% progress made (must be higher than 'min')
    max_: Property[int]

    # Minimum value defining 'no progress' (must be lower than 'max')
    min_: Property[int]

    # This defines the stroke width of the svg circle.
    thickness: Property[int]

    # The color name of the progress track. Use a color key in the theme object
    track_color: Property[str]

    # Current progress (must be between min/max).
    value: Property[int]

    # The desired valueText to use in place of the value.
    value_text: Property[str]


class CircularProgressLabel(ChakraComponent):
    """Label of CircularProcess."""

    tag = "CircularProgressLabel"
