"""Container to stack elements with spacing."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class Progress(ChakraComponent):
    """A bar to display progress."""

    tag = "Progress"

    # If true, the progress bar will show stripe
    has_striped: Property[bool]

    # If true, and hasStripe is true, the stripes will be animated
    is_animated: Property[bool]

    # If true, the progress will be indeterminate and the value prop will be ignored
    is_indeterminate: Property[bool]

    # The maximum value of the progress
    max_: Property[int]

    # The minimum value of the progress
    min_: Property[int]

    # The value of the progress indicator. If undefined the progress bar will be in indeterminate state
    value: Property[int]

    # The color scheme of the progress bar.
    color_scheme: Property[str]
