"""Container to stack elements with spacing."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class Spinner(ChakraComponent):
    """The component that spins."""

    tag = "Spinner"

    # The color of the empty area in the spinner
    empty_color: Property[str]

    # For accessibility, it is important to add a fallback loading text. This text will be visible to screen readers.
    label: Property[str]

    # The speed of the spinner must be as a string and in seconds '1s'. Default is '0.45s'.
    speed: Property[str]

    # The thickness of the spinner.
    thickness: Property[int]

    # "xs" | "sm" | "md" | "lg" | "xl"
    size: Property[str]
