"""Form components."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class FormControl(ChakraComponent):
    """FormControl provides context such as isInvalid, isDisabled, and isRequired to form elements."""

    tag = "FormControl"

    # If true, the form control will be disabled.
    is_disabled: Property[bool]

    # If true, the form control will be invalid.
    is_invalid: Property[bool]

    # If true, the form control will be readonly
    is_read_only: Property[bool]

    # If true, the form control will be required.
    is_required: Property[bool]

    # The label text used to inform users as to what information is requested for a text field.
    label: Property[str]


class FormHelperText(ChakraComponent):
    """A form helper text component."""

    tag = "FormHelperText"


class FormLabel(ChakraComponent):
    """A form label component."""

    tag = "FormLabel"

    # Link
    html_for: Property[str]


class FormErrorMessage(ChakraComponent):
    """A form error message component."""

    tag = "FormErrorMessage"
