"""A button component."""

from pynecone.components.typography.text import Text
from pynecone.property import Property


class IconButton(Text):
    """A button that can be clicked."""

    tag = "IconButton"

    # The type of button.
    type: Property[str]

    #  A label that describes the button
    aria_label: Property[str]

    # The icon to be used in the button.
    icon: Property[str]

    # If true, the button will be styled in its active state.
    is_active: Property[bool]

    # If true, the button will be disabled.
    is_disabled: Property[bool]

    # If true, the button will show a spinner.
    is_loading: Property[bool]

    # If true, the button will be perfectly round. Else, it'll be slightly round
    is_round: Property[bool]

    # Replace the spinner component when isLoading is set to true
    spinner: Property[str]
