"""Component for displaying a bar graph."""

from typing import List

from pynecone.components.library_component import LibraryComponent
from pynecone.property import Property


class NivoBar(LibraryComponent):
    """A component that wraps a Rebass component."""

    library = "@nivo/bar"


class Bar(NivoBar):
    """Display a bar graph."""

    tag = "ResponsiveBar"

    # Chart data.
    data: Property[List[dict]]

    # Keys to use to determine each serie.
    keys: Property[List[str]]

    # Key to use to index the data.
    index_by: Property[str]

    # How to group bars. ('grouped' | 'stacked')
    group_mode: Property[str]

    # How to display bars. ('horizontal' | 'vertical')
    layout: Property[str]

    # Value scale configuration. ('linear')
    value_scale: Property[str]

    # Index scale configuration.
    index_scale: Property[str]

    # Reverse bars, starts on top instead of bottom for vertical layout and right instead of left for horizontal one.
    reverse: Property[bool]

    # Minimum value.
    min_value: Property[int]

    # Maximum value.
    max_value: Property[int]
