"""Component for displaying a Line graph."""

from typing import Dict, List

from pynecone.components.library_component import LibraryComponent
from pynecone.property import Property


class NivoLine(LibraryComponent):
    """A component that wraps a Rebass component."""

    library = "@nivo/line"


class Line(NivoLine):
    """Display a Line graph."""

    tag = "ResponsiveLine"

    # Chart data.
    data: Property[List[dict]]

    # Chart width.
    width: Property[int]

    # Chart height.
    height: Property[int]

    # Chart margin.
    margin: Property[Dict]
