"""Component for displaying a pie chart."""

from typing import Dict, List

from pynecone.components.library_component import LibraryComponent
from pynecone.property import Property


class NivoPie(LibraryComponent):
    """A Nivo Pie component."""

    library = "@nivo/pie"


class Pie(NivoPie):
    """Display a bar graph."""

    tag = "ResponsivePie"

    # Chart data.
    data: Property[List[Dict]]

    # ID accessor which should return a unique value for the whole dataset.
    id_: Property[str]

    # Value accessor.
    value: Property[str]

    # Chart width.
    width: Property[int]

    # Chart height.
    height: Property[int]

    # Start angle (in degrees), useful to make gauges for example.
    start_angle: Property[int]

    # End angle (in degrees), useful to make gauges for example.
    end_angle: Property[int]

    # Donut chart if greater than 0. Value should be between 0~1 as it's a ratio from original radius.
    inner_radius: Property[int]

    # Padding between each pie slice.
    pad_angle: Property[int]

    # Rounded slices.
    corner_radius: Property[int]

    # If 'true', arcs will be ordered according to their associated value.
    sort_by_value: Property[bool]

    # Chart margin.
    margin: Property[Dict]
