"""Component for displaying a Radar chart."""

from typing import Dict, List

from pynecone.components.library_component import LibraryComponent
from pynecone.property import Property


class NivoRadar(LibraryComponent):
    """A Nivo Radar component."""

    library = "@nivo/Radar"


class Radar(NivoRadar):
    """Display a bar graph."""

    tag = "ResponsiveRadar"

    # Chart data.
    data: Property[List[Dict]]

    # Key to use to index the data.
    index_by: Property[str]

    # Keys to use to determine each serie.
    keys: Property[List[str]]

    # Maximum value.
    max_value: Property[int]

    # Chart width.
    width: Property[int]

    # Chart height.
    height: Property[int]

    # Chart margin.
    margin: Property[Dict]
