"""Component for displaying a Scatter graph."""

from typing import Dict, List

from pynecone.components.library_component import LibraryComponent
from pynecone.property import Property


class NivoScatter(LibraryComponent):
    """A component that wraps a Rebass component."""

    library = "@nivo/scatterplot"


class Scatter(NivoScatter):
    """Display a Scatter graph."""

    tag = "ResponsiveScatterPlot"

    # Chart data.
    data: Property[List[Dict]]

    # Chart width.
    width: Property[int]

    # Chart height.
    height: Property[int]

    # Chart margin.
    margin: Property[Dict]
