"""A box component that can contain other components."""

from pynecone.components.chakra import ChakraComponent
from pynecone.components.tag import Tag
from pynecone.property import Property


class Box(ChakraComponent):
    """Renders a box component that can contain other components."""

    tag = "Box"

    # The element to render.
    element: Property[str]

    def _render(self) -> Tag:
        return (
            super()
            ._render()
            .add_attrs(
                **{
                    "as": self.element,
                }
            )
        )
