"""A reflexive container component."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class Flex(ChakraComponent):
    """Flex is Box with display, flex and comes with helpful style shorthand. It renders a div element."""

    tag = "Flex"

    # How to align items in the flex.
    align: Property[str]

    # Shorthand for flexBasis style prop
    basis: Property[str]

    # Shorthand for flexDirection style prop
    direction: Property[str]

    # Shorthand for flexGrow style prop
    grow: Property[str]

    # The way to justify the items.
    justify: Property[str]

    # Shorthand for flexWrap style prop
    wrap: Property[str]

    # Shorthand for flexShrink style prop
    shrink: Property[str]
