"""Breadcrumb components."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class Breadcrumb(ChakraComponent):
    """The parent container for breadcrumbs."""

    tag = "Breadcrumb"

    # The visual separator between each breadcrumb item
    separator: Property[str]

    # The left and right margin applied to the separator
    separator_margin: Property[str]


class BreadcrumbItem(ChakraComponent):
    """Individual breadcrumb element containing a link and a divider."""

    tag = "BreadcrumbItem"

    # Is the current page of the breadcrumb.
    is_current_page: Property[bool]

    # Is the last child of the breadcrumb.
    is_last_child: Property[bool]

    # The visual separator between each breadcrumb item
    separator: Property[str]

    # The left and right margin applied to the separator
    spacing: Property[str]

    # The href of the item.
    href: Property[str]


class BreadcrumbSeparator(ChakraComponent):
    """The visual separator between each breadcrumb."""

    tag = "BreadcrumbSeparator"


class BreadcrumbLink(ChakraComponent):
    """The breadcrumb link."""

    tag = "BreadcrumbLink"

    # Is the current page of the breadcrumb.
    is_current_page: Property[bool]
