"""A link component."""

from pynecone.components.chakra import ChakraComponent
from pynecone.property import Property


class Link(ChakraComponent):
    """Component the provides a link."""

    tag = "Link"

    # The page to link to.
    href: Property[str]

    # The text to display.
    text: Property[str]

    # If true, the link will open in new tab.
    is_external: Property[bool] = False  # type: ignore
