"""Logging middleware."""

from pynecone.middleware.middleware import Middleware


class LoggingMiddleware(Middleware):
    """Middleware to log requests and responses."""

    def preprocess(self, app, state, event):
        """Preprocess the event.

        Args:
            app: The app to apply the middleware to.
            state: The client state.
            event: The event to preprocess.
        """
        print(f"Event {event}")

    def postprocess(self, app, state, event, delta):
        """Postprocess the event.

        Args:
            app: The app to apply the middleware to.
            state: The client state.
            event: The event to postprocess.
            delta: The delta to postprocess.
        """
        print(f"Delta {delta}")
